

.section-gallery {
    background-color: #eef2f5;
    padding: 66px 0 0 0;
}

.section-gallery__info {
    text-align: center;
    padding-bottom: 60px;
}

.section-gallery__title {
    font-size: 36px;
    letter-spacing: 1px;
    color: #333;
    font-weight: 400;
    font-family: 'Quicksand-Regular', sans-serif;
    margin: 0;
}

.section-gallery__text {
    font-weight: 300;
    color: #777;
    font-size: 20px;
    font-family: 'Quicksand-light', sans-serif;
    line-height: 30px;
    max-width: 700px;
    margin: 10px auto 0;
}

.section-gallery__images {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(9, 150px);
    grid-gap: 2px;
}

.section-gallery__image-link {
    display: block;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.section-gallery__image-link img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.section-gallery__images-overlay {
    top: 0;
    position: absolute;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    font-size: 35px;
    color: #fff;
    font-family: 'Quicksand-light', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;

}

.section-gallery__images .big {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 4;
}

.section-gallery__image-link:hover .section-gallery__images-overlay {
    opacity: 1;
}

/*~~~~~~~~ GALLERY MEDIA ~~~~~~~~*/

@media screen and (min-width: 576px){
    .section-gallery__images {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(6, 180px);
    }

    .section-gallery__images .big {
        grid-column-start: 2;
        grid-column-end: 4;
        grid-row-start: 1;
        grid-row-end: 3;
    }
}

@media screen and (min-width: 992px){
    .section-gallery__images {
        grid-template-columns: repeat(6, 1fr);
        grid-template-rows: repeat(3, 150px);
    }

    .section-gallery__images .big {
        grid-column-start: 3;
        grid-column-end: 5;
    }
}

@media screen and (min-width: 1200px){
    .section-gallery__images {
        grid-template-rows: repeat(3, 230px);
    }
}